Loading...
Searching...
No Matches
BALL::VIEW::MultiLine Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/multiLine.h>`

Inheritance diagram for BALL::VIEW::MultiLine:

## Public Member Functions

| MultiLine ()
| Default Constructor.
| MultiLine (const MultiLine &line)
| Copy constructor with cloning facility.
virtual | ~MultiLine ()
virtual void | clear ()
void | set (const MultiLine &line)
const MultiLine & | operator= (const MultiLine &line)
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual void | getVertices (vector< Vector3 > &vertices) const
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const
Public Member Functions inherited from BALL::VIEW::MultiColorExtension
| MultiColorExtension ()
| MultiColorExtension (const MultiColorExtension &color_extension)
virtual | ~MultiColorExtension ()
void | set (const MultiColorExtension &color_extension)
const MultiColorExtension & | operator= (const MultiColorExtension &color_extension)
void | swap (MultiColorExtension &color_extension)
void | setColors (const vector< ColorRGBA > &colors)
vector< ColorRGBA > & | getColors ()
const vector< ColorRGBA > & | getColors () const
void | setAlphas (Size alpha)
| Set the alpha values for all colors.

## Public Attributes

vector< Vector3 > | tangents
vector< Vector3 > | vertices
vector< ColorRGBA > | colors

## Detailed Description

A line with multiple vertices and colors.

Definition at line 30 of file multiLine.h.

## Constructor & Destructor Documentation

## MultiLine() [1/2]

BALL::VIEW::MultiLine::MultiLine | ( |  | ) |

Default Constructor.

## MultiLine() [2/2]

BALL::VIEW::MultiLine::MultiLine | ( | const MultiLine & | line | ) |

Copy constructor with cloning facility.

## ~MultiLine()

virtual BALL::VIEW::MultiLine::~MultiLine | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::VIEW::MultiLine::clear | ( |  | ) |

virtual

Explicit default initialization.

Reimplemented from BALL::VIEW::GeometricObject.

## dump()

virtual void BALL::VIEW::MultiLine::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current value of this line to the output ostream s with dumping depth depth. Calls GeometricObject::dump. Calls Vertex2::dump.

Parameters

  s | output stream where to output the value of this line
  depth | the dumping depth

See also
  GeometricObject::dump
  Vertex2::dump

Reimplemented from BALL::VIEW::GeometricObject.

## getVertices()

virtual void BALL::VIEW::MultiLine::getVertices | ( | vector< Vector3 > & | vertices | ) | const

virtual

## isValid()

virtual bool BALL::VIEW::MultiLine::isValid | ( |  | ) | const

virtual

Internal state and consistency self-validation. Initiate self-validation of the internal state and data structure consistencies of this line. If the internal state of this line is correct (self-validated) and consistent true is returned, false otherwise. Calls GeometricObject::isValid. Calls Vertex2::isValid.

Returns
  bool true if the internal state of this line is correct (self-validated) and consistent, false otherwise

See also
  GeometricObject::isValid
  Vertex2::isValid

Reimplemented from BALL::VIEW::GeometricObject.

## operator=()

const MultiLine & BALL::VIEW::MultiLine::operator= | ( | const MultiLine & | line | ) |

Assignment operator.

## set()

void BALL::VIEW::MultiLine::set | ( | const MultiLine & | line | ) |

## Member Data Documentation

## tangents

vector<Vector3> BALL::VIEW::MultiLine::tangents

Definition at line 89 of file multiLine.h.

## vertices

vector<Vector3> BALL::VIEW::MultiLine::vertices

Definition at line 90 of file multiLine.h.